#include <stdio.h>
#include "CAnalyzer.h"

#define MAX 800


// **********************************************************************************
// How to compile and link it to the "libJAnalyzer.so" library:
//
// g++ -o CAnalyzerIntegrationDemo CAnalyzerIntegrationDemo.o -L. -lJAnalyzer
//
// How to call the program: CAnalyzerIntegrationDemo GermAnalyzer.tra GermAnalyzer.ftb
//
// (remember to set the LD_LIBRARY_PATH env. variable)
// ***********************************************************************************

void interactiveTest(){
  char input[MAX], result[MAX];
  do{
      fprintf(stderr,"\nWord (@ to exit): ");
      fgets(input,MAX,stdin);
      if (input[0] != '@'){
	if (analyzeFormAndGetCitation(input,NULL,result,MAX))
	  printf(result);
	fflush(stdout);
      }
    }while(input[0] != '@');
}


void batchTest(){
  char input[MAX], result[MAX];
  if (analyzeFormAndGetCitation("ging",NULL,result,MAX))
    printf("%s\n",result);
  if (analyzeFormAndGetCitation("ging","(Cat N)",result,MAX))
    printf("%s\n",result);
  if (analyzeFormAndGetCitation("hgkhgkhkgh",NULL,result,MAX))
    printf("%s\n",result);
  if (analyzeFormAndGetCitation("moegen","(Cat N)",result,MAX))
    printf("%s\n",result);
  if (analyzeFormAndGetCitation("moegen",NULL,result,MAX))
    printf("%s\n",result);
}


int main(int argc, char *argv[])
{
  if ((argc> 2) && loadFsa(argv[1],argv[2])){
    //interactiveTest();
    batchTest();
  }
  return 0;
}
